<template>
  <div class="faq-block">
    <div class="row m-0">
      <div class="col-12 col-lg-5 faq-menu">
        <ul>
          <li v-for="(faq,index) in faqs" :key="index">
            <div :key="index" :class="['faq-menu-li', {'active': index == 0}]" v-bind:ref="'faq-m-0' + (index+1)" v-on:click="changeFaq(index + 1)">
              <span>
                {{faq.question}}
              </span>
            </div>

            <div :class="['faq-content', 'd-xs-block', 'd-lg-none', {'active': index == 0}]" v-bind:ref="'faq-cs-0' + (index+1)">
              <b>{{ faq.question }}</b>
              <br>
              <span>{{ faq.answer }}</span>
            </div>
          </li>
        </ul>
      </div>
      <div class="col faq-content d-none d-lg-block">
        <div v-for="(faq,index) in faqs" :key="index" :class="['faq-content-text', {'active': index == 0}]" v-bind:ref="'faq-c-0' + (index+1)">
          <b>{{ faq.question }}</b>
          <br>
          <span>{{ faq.answer }}</span>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'FaqBlock',
  created() {
    this._activeTarget = {};
  },
  data() {
    return {
      faqs: [
        {
          question: 'ค่ายนี้จัดขึ้นที่ไหน อย่างไร ?',
          answer:
            'จัดที่คณะเทคโนโลยีสารสนเทศ สถาบันเทคโนโลยีพระจอมเกล้าเจ้าคุณทหารลาดกระบัง ตลอดระยะเวลา 4 วัน 3 คืน การเดินทางมายังคณะเทคโนโลยีสารสนเทศ สามารถดูได้ที่ http://www.it.kmitl.ac.th/ ได้เลยนะครับ'
        },
        {
          question: 'มีค่าใช้จ่ายหรือไม่ จำนวนเท่าไหร่ และชำระตอนไหน สละสิทธิ์ได้เงินคืนหรือไม่ ?',
          answer:
            'มีค่าใช้จ่าย จำนวน 500 บาท โดยชำระตามเวลาที่กำหนด (13 - 20 พฤษภาคม 2561) หากน้องคนใดต้องการสละสิทธิ์ สามารถกดปุ่มสละสิทธิ์ที่หน้าเว็บและขอให้น้อง ๆ คิดให้รอบคอบก่อนจะชำระเงิน เพราะหากน้องสละสิทธิ์จะไม่ได้รับเงินคืนครับ และหากโอนเงินไม่ทันภายในวันที่กำหนดจะถือว่าสละสิทธิ์นะครับ'
        },
        {
          question: 'ต้องพักค้างคืนที่ค่ายหรือเปล่า ?',
          answer:
            'ใช่ครับ น้อง ๆ จะได้นอนพักในห้องพักที่พี่ ๆ จัดเตรียมไว้ให้ที่คณะ ซึ่งติดแอร์เย็นฉ่ำ สะดวกสบาย ง่ายต่อการทำกิจกรรมของน้องๆ และที่สำคัญพี่ ๆ จะดูแลน้องได้ตลอด 24 ชั่วโมงตลอดโครงการ น้องๆ สบายใจได้ครับและน้อง ๆ จะไม่ได้รับอนุญาตให้ออกจากบริเวณที่จัดกิจกรรม ยกเว้นในกรณีที่ติดธุระเร่งด่วน และมีผู้ปกครองมารับด้วยตนเองครับ'
        },
        {
          question: 'สมัครมากกว่าหนึ่งค่ายย่อย หรือเปลี่ยนไปอยู่ค่ายอื่นได้หรือไม่ ?',
          answer:
            'ไม่สามารถสมัครได้ครับ ดังนั้นน้อง ๆ ควรจะตัดสินใจให้ชัดเจนว่าจะสมัครค่ายไหน เพราะช่วงที่มีการเรียนการสอน แต่ละค่ายจะจัดการเรียนการสอนแยกกันอย่างชัดเจน'
        },
        {
          question: 'จำเป็นต้องมีความรู้มาก่อนหรือไม่ ?',
          answer: 'ไม่จำเป็นครับ ขอแค่เพียงน้อง ๆ มีความสนใจและใฝ่รู้ก็พอ ที่เหลือพี่ ๆ จะเป็นคนช่วยสอนน้อง ๆ เองครับ'
        },
        {
          question: 'ค่ายรับระดับชั้นไหนบ้าง ปวช. สามารถสมัครได้หรือเปล่า ?',
          answer:
            'ค่ายนี้จะรับเฉพาะน้อง ๆ ที่กำลังศึกษาอยู่ระดับชั้นมัธยมศึกษาตอนปลายในทุกแผนการเรียน และปวช. ปีที่ 1-2 เเละสำหรับ ปวช.ปี 3 ที่ไม่ติดฝึกงานก็สามารถสมัครได้ครับ'
        },
        {
          question: 'เอกสารที่ต้องใช้ในการยืนยันสิทธิ์การสมัคร',
          answer:
            'ใบ ป.พ.1 ไม่ต้องติดรูปก็ได้นะครับ หากน้องไม่ทำการอัปโหลดมา จะถือว่าไม่ผ่านเกณฑ์การพิจารณาของพี่ๆนะครับ'
        },
        {
          question: 'ค่าย IoT คืออะไร ?',
          answer:
            'IoT (Internet of things) คือเทคโนโลยีที่เชื่อมทุกสิ่งทุกอย่างเข้าด้วยกันบนโลกอินเทอร์เน็ต ทำให้มนุษย์สามารถสั่งการควบคุม ใช้งาน อุปกรณ์ต่างๆ ผ่านทางเครือข่ายอินเทอร์เน็ตได้ เช่น หากเราอยู่นอกบ้านแล้วอยากต้มน้ำร้อน เราก็สามารถสั่งให้กาต้มน้ำเพิ่มอุณหภูมิผ่านโทรศัพท์มือถือเพื่อทำให้น้ำเดือดได้ โดยในค่าย IoT น้องๆ จะได้ลองเขียนโปรแกรมควบคุมอุปกรณ์เหล่านี้อีกด้วย'
        },
        {
          question: 'ค่าย Data Science คืออะไร',
          answer:
            'Data Science หรือแปลเป็นไทยว่า วิทยาศาสตร์ข้อมูล คือ การขุดค้นหาองค์ความรู้ที่ซ่อนอยู่ในข้อมูลต่าง ๆ โดยใช้สถิติ อัลกอริทึม และสมการทางคณิตศาสตร์ ยกตัวอย่างเช่น แผนที่ Google Maps ที่รู้สภาพการจราจรจากระบบ GPS ในโทรศัพท์เรานี่แหละ ดังนั้นในค่ายนี้น้องๆ จะได้ทดลองขุดค้นหาองค์ความรู้ข้อมูลจากแหล่งข้อมูลจริงๆ ซึ่งใครจะรู้สิ่งที่น้องค้นพบในค่ายนี้อาจจะเปลี่ยนโลกของเราไปเลยก็ได้!'
        }
      ]
    };
  },
  mounted() {
    this._activeTarget.number = 1;
    this._activeTarget.menu = this.$refs['faq-m-01'][0];
    this._activeTarget.content = this.$refs['faq-c-01'][0];
    this._activeTarget.collapse = $(this.$refs['faq-cs-01'][0]);
  },
  methods: {
    changeFaq: function(target) {
      // If active is match the target number, prevent changed
      if (this._activeTarget.number === target) {
        return;
      }
      this._activeTarget.number = target;
      // Hide the old target elements
      this._activeTarget.menu.classList.remove('active');
      this._activeTarget.content.classList.remove('active');
      let complete = function() {
        $(this).removeClass('active');
      };
      this._activeTarget.collapse.slideUp({ complete });
      // Bind new target element
      this._activeTarget.menu = this.$refs['faq-m-0' + target][0];
      this._activeTarget.content = this.$refs['faq-c-0' + target][0];
      this._activeTarget.collapse = $(this.$refs['faq-cs-0' + target][0]);
      // Show the new target elements
      this._activeTarget.menu.classList.add('active');
      this._activeTarget.content.classList.add('active');
      let start = function() {
        $(this).addClass('active');
      };
      this._activeTarget.collapse.slideDown({ start });
    }
  }
};
</script>
